<CsoundSynthesizer>
<CsOptions>
-odac --nchnls=2 --0dbfs=1 --nodisplays --sample-rate=48000 --ksmps=10 --sample-accurate --messagelevel=70
</CsOptions>
<CsVersion>
After 6.08
</CsVersion>
<CsInstruments>

;;; initial setup
gk_tempo init 60
gk_now init 0

gi_31edo ftgen 0,0,64,-2, 31, 2, 263, 0,\
1, 2^(1/31) ,2^(2/31),2^(3/31),2^(4/31),2^(5/31),2^(6/31),2^(7/31),2^(8/31),2^(9/31),2^(10/31),2^(11/31),2^(12/31),2^(13/31),2^(14/31),2^(15/31),2^(16/31),2^(17/31),2^(18/31),2^(19/31),2^(20/31),2^(21/31),2^(22/31),2^(23/31),2^(24/31),2^(25/31),2^(26/31),2^(27/31),2^(28/31),2^(29/31),2^(30/31),2

;                    d,e, f  g  a  b
;                    5,10,13,18,23,28, 
gi31Diatonic[] array 5,5,3,5,5,5,3

;
gi31NaturalMinor[] array 5,3,5,5,3,5,5
gi31DiaDom7[] array 5,5,3,5,5,2,6
gi31MinDom7[] array 5,3,5,5,3,4,6

gi31Neutral[] array 4,5,4,5,4,5,4

;more than 7 notes!
gi31Orwell[] array 4,3,4,3,4,3,4,3,3

gi31Diminished[] array 3,7,1,7,3,5,5


;create a matix of modes based on each 31edo pitch
gi31Modes[][] init 31,7

i31ndx = 0

until (i31ndx == lenarray(gi31Modes, 1)) do
    i7ndx = 0
    until (i7ndx == lenarray(gi31Modes, 2)) do
        if (i31ndx == 0 || i31ndx == 13 || i31ndx == 18 || i31ndx == 25 ||
            i31ndx == 3 || i31ndx == 16 || i31ndx == 21 || i31ndx == 28 ||
            i31ndx == 6 || i31ndx == 19 || i31ndx == 24) then
            gi31Modes [i31ndx][i7ndx] = gi31DiaDom7[i7ndx]
        elseif (i31ndx == 5 || i31ndx == 10 || i31ndx == 23 ||
                i31ndx == 8 || i31ndx == 13 || i31ndx == 26 ||
                i31ndx == 11 || i31ndx == 29) then
            gi31Modes [i31ndx][i7ndx] = gi31MinDom7[i7ndx]
        elseif (i31ndx == 2 || i31ndx == 4 || i31ndx == 7 || i31ndx == 9 ||
                i31ndx == 14 || i31ndx == 17 || i31ndx == 20 || i31ndx == 22 ||
                i31ndx == 27) then
            gi31Modes [i31ndx][i7ndx] = gi31Neutral[i7ndx]            
        elseif (i31ndx == 1 || i31ndx == 12 || i31ndx == 15 || i31ndx == 28 || i31ndx == 30) then
            gi31Modes [i31ndx][i7ndx] = gi31Diminished[i7ndx]
        endif
        i7ndx += 1
    od
i31ndx += 1
od

;default scale C major in 31edo
gi_CurrentScale ftgen 0,0,64,-2,7, 2,    263, 0,
(table:i(4, gi_31edo)),
(table:i(9, gi_31edo)),
(table:i(14, gi_31edo)), 
(table:i(17, gi_31edo)), 
(table:i(22, gi_31edo)), 
(table:i(27, gi_31edo)),
(table:i(32, gi_31edo)),
(table:i(35, gi_31edo))

giTonic_ndx = 0


;for bellpno
gicarfn ftgen 0, 0, 512,  10,  1, 0, 0.05, 0, 0.01
gimodfn ftgen 0, 0, 512,  10,  1, 0.1,0.3, 0.02,0.1

opcode get2dArr, i[], ii[][]
;returns the array from the 2nd dimension of a 2d array
indx, imulti[][] xin
icount = 0
ilen lenarray imulti, 2
iout[] init ilen
until (icount == ilen) do
    iout[icount] = imulti[indx][icount]
    icount += 1
od
xout iout
endop

opcode sortarray, k[], k[]
;slightly modified from CsUDO repository
kInArr[] xin
  kOutArr[]  init  lenarray(kInArr)
  kMax      maxarray  kInArr
  kIndx     init  0
  until     kIndx == lenarray(kOutArr) do
      kMin, kMinIndx minarray kInArr
      kOutArr[kIndx] = kInArr[kMinIndx]
      kInArr[kMinIndx] = kMax+1
      kIndx += 1
  od
xout       kOutArr
endop

;irate version
opcode sortarray, i[], i[]
;slightly modified from CsUDO repository
iInArr[] xin
  iOutArr[]  init  lenarray(iInArr)
  iMax      maxarray  iInArr
  iIndx     init  0
  until     iIndx == lenarray(iOutArr) do
      iMin, iMinIndx minarray iInArr
      iOutArr[iIndx] = iInArr[iMinIndx]
      iInArr[iMinIndx] = iMax+1
      iIndx += 1
  od
xout       iOutArr
endop

opcode scalemode, 0, iik[]
;sets the current scale to a mode from superscale
; scalemode gi_12edo, 2, array(0,2,4,5,7,9,11)
;returns position of keyctr in new mode, and sets gk_tonicndx
isuperscale, ikeyctr, kSuperscaleIntervalPattern[] xin

ksubpattern[] init lenarray(kSuperscaleIntervalPattern)
ksubpattern[0] = 0
ksubpndx init 1

until (ksubpndx == lenarray(ksubpattern)) do
ksubpattern[ksubpndx] = ksubpattern[ksubpndx - 1] + kSuperscaleIntervalPattern[ksubpndx - 1]
ksubpndx += 1
od

inumgrades table 0, isuperscale
kindinums[] init lenarray(ksubpattern)
kndx init 0
klast init 0
kscaleroot init 0
kscalekeyctrndx init -1
kval init 0

kindices[] = kindinums

until kndx == lenarray(kindices) do
kval = ksubpattern[kndx]
kindices[kndx] = (kval + ikeyctr) % inumgrades
kndx += 1
od

ilastvalfromsuper table inumgrades + 4, isuperscale
imodularval table ikeyctr + 4, isuperscale
ilastval = imodularval * ilastvalfromsuper

ksorted[] sortarray kindices ; 
kscaleroot = ksorted[0]

klen init 0
klen lenarray ksorted
tablew klen, 0, gi_CurrentScale
tablew ilastval, klen + 4, gi_CurrentScale

kndx = 0
until (kndx == klen) do
  ksortedndx = ksorted[kndx]
  krevisedval table ksortedndx + 4, isuperscale
  tablew krevisedval, kndx + 4, gi_CurrentScale
  if (krevisedval == imodularval) then
      kscalekeyctrndx = kndx
  endif
  kndx += 1
od
gkTonic_ndx = kscalekeyctrndx

endop


;irate version
opcode scalemode, 0, iii[]
;sets the current scale to a mode from superscale
; scalemode gi_12edo, 2, array(0,2,4,5,7,9,11)
;returns position of keyctr in new mode, and sets gk_tonicndx
isuperscale, ikeyctr, iSuperscaleIntervalPattern[] xin

isubpattern[] init lenarray(iSuperscaleIntervalPattern)
isubpattern[0] = 0
isubpndx init 1

until (isubpndx == lenarray(isubpattern)) do
isubpattern[isubpndx] = isubpattern[isubpndx - 1] + iSuperscaleIntervalPattern[isubpndx - 1]
isubpndx += 1
od

inumgrades table 0, isuperscale
iindinums[] init lenarray(isubpattern)
indx init 0
ilast init 0
iscaleroot init 0
iscalekeyctrndx init -1
ival init 0

iindices[] = iindinums

until indx == lenarray(iindices) do
ival = isubpattern[indx]
iindices[indx] = (ival + ikeyctr) % inumgrades
indx += 1
od

ilastvalfromsuper table inumgrades + 4, isuperscale
imodularval table ikeyctr + 4, isuperscale
;ilastval = imodularval * ilastvalfromsuper


isorted[] sortarray iindices ; 
iscaleroot = isorted[0]

ilen init 0
ilen lenarray isorted
tableiw ilen, 0, gi_CurrentScale
;tableiw ilastval, ilen + 4, gi_CurrentScale

indx = 0
until (indx == ilen) do
  isortedndx = isorted[indx]
  irevisedval table isortedndx + 4, isuperscale
  tableiw irevisedval, indx + 4, gi_CurrentScale
  if (irevisedval == imodularval) then
      iscalekeyctrndx = indx
  endif
  indx += 1
od
tableiw table:i(4,gi_CurrentScale) * ilastvalfromsuper, ilen + 4, gi_CurrentScale

giTonic_ndx = iscalekeyctrndx

endop



;31edo version
opcode scalemode31, 0, io
;wrapper just for the 31edo mode matrix
;imode 0=default, 3=DiaDom7, 4=MinDom7, 1=Diatonic, 2=Minor,5=Diminished,6=neutral,7=Orwell[9]
idegree, imode  xin
if (imode == 0) then
  scalemode gi_31edo, idegree, get2dArr(idegree, gi31Modes)
elseif (imode == 3) then
  scalemode gi_31edo, idegree, gi31DiaDom7
elseif (imode == 4) then
  scalemode gi_31edo, idegree, gi31MinDom7
elseif (imode == 1) then
  scalemode gi_31edo, idegree, gi31Diatonic
elseif (imode == 2) then
  scalemode gi_31edo, idegree, gi31NaturalMinor
elseif (imode == 5) then
  scalemode gi_31edo, idegree, gi31Diminished
elseif (imode == 6) then
  scalemode gi_31edo, idegree, gi31Neutral
elseif (imode == 7) then
  scalemode gi_31edo, idegree, gi31Orwell
else
  scalemode gi_31edo, idegree, get2dArr(idegree, gi31Modes)
endif
endop


opcode now, i, 0
xout i(gk_now)
endop

opcode cosr, i, ijo
;translated from impromptu's cosr macro
;does a complete cosine cycle, with multiplier and offset for convenience
;iamp defaults to 0.5
;ioffset defaults to 0.5 if iamp is not set, otherwise defaults to 1
iperiod, iamp, ioffset xin

if (iamp == -1) then
 iamp = 0.5
 ioffset = 0.5
endif

xout cos(divz:i(1,iperiod,0) * (2 * $M_PI) * now()) * iamp + ioffset
endop



;alternative version, doesn't use an event.
opcode temposet, 0, i
ibpm xin
gk_tempo init ibpm
endop


opcode tempodur, i, p
idur xin
iresult divz 60, i(gk_tempo), -1
xout iresult * idur
endop

opcode nextbeat, i, p
ibeatcount xin
if ibeatcount == 0 then
iresult = 0
else
inow = now()
ibc = frac(ibeatcount)
inudge = int(ibeatcount)
iresult = inudge + ibc + (round(divz(inow, ibc, inow)) * (ibc == 0 ? 1 : ibc)) - inow
endif
xout tempodur(iresult)
endop

opcode randint_i, i, ii
;returns a random integer inclusive of min and max
;ok, seems trivial, but I always forget this.
imin, imax xin
xout round(random(imin, imax))
endop

opcode counterChan, i, Spoo
;state saving counter. 
Schan, iincrement, imodulo, ilower  xin
icurrent chnget Schan
if (imodulo != 0) then
   icurrent = wrap(icurrent, ilower, imodulo)
   inewval = wrap((icurrent + iincrement), ilower, imodulo)
else
   inewval = icurrent + iincrement
endif
chnset inewval, Schan
xout icurrent
endop

opcode counterChan, K, SPOO
;state saving counter. mightneed once code
Schan, kincrement, kmodulo, klower  xin
konce init 0
ckgoto (konce == 1), terminate
kcurrent chnget Schan
if (kmodulo != 0) then
   kcurrent = wrap(kcurrent, klower, kmodulo)
   knewval = wrap((kcurrent + kincrement), klower, kmodulo)
else
   knewval = kcurrent + kincrement
endif
chnset knewval, Schan
konce = 1
terminate:
xout kcurrent
endop

;returns successive values in an array on every call
;works with irate arrays
;Sid is a string (any unique string), to store the state of each instance.
opcode iterArr, i,i[]Sp
iArr[], Sid, idirection xin
ival counterChan Sid, idirection, lenarray(iArr); [, iincrement, imodulo, ilower]
iout = iArr[floor(ival)]
xout iout
endop

;version for krate (inline) arrays
opcode iterArr, i,k[]Sp
kArr[], Sid, idirection xin
ival counterChan Sid, idirection, lenarray(kArr); [, iincrement, imodulo, ilower]
iout = i(kArr, floor(ival))
xout iout
endop

opcode randselect_i, i, ijjjjjjjjjjjjjjjjjjjjjjjjjjjjjjj
ival1, ival2, ival3, ival4, ival5, ival6, ival7, ival8, ival9, ival10, ival11, ival12, ival13, ival14, ival15, ival16, \
ival17, ival18, ival19, ival20, ival21, ival22, ival23, ival24, ival25, ival26, ival27, ival28, ival29, ival30, ival31, ival32 xin

iargArray[] array ival32, ival31, ival30, ival29, ival28, ival27, ival26, ival25, ival24, ival23, ival22, ival21, ival20, ival19, ival18, ival17, ival16, ival15, ival14, ival13, ival12, ival11, ival10, ival9, ival8, ival7, ival6, ival5, ival4, ival3, ival2, ival1

istart = 0
until (iargArray[istart] != -1) do
istart += 1
od

iout = iargArray[int(random(istart, lenarray(iargArray)))]

xout iout
endop


opcode rescale, i, iiiii
ival, ioldmin, ioldmax, inewmin, inewmax  xin

ioldrange = ioldmax - ioldmin
inewrange = inewmax - inewmin
ioldsize = ival - ioldmin

xout ((inewrange / ioldrange) * ioldsize) + inewmin

endop

opcode declickr, a, ajjo
aenv init 1
tigoto tiskip
ain, irisetime, idectime, itype xin
irisetm = (irisetime == -1 ? 0.003 : irisetime)
idectm = (idectime == -1 ? 0.08 : idectime)
aenv    transegr 0, irisetm, itype, 1, 0, 0, 1, idectm, itype, 0
tiskip:
        xout ain * aenv         ; apply envelope and write output
endop


opcode LyonRev1, aa,aakk
ain1, ain2, kmix, krevlen xin
;korig = 0.78 ; mix param
kgain = limit:k(kmix, 0.13, 1)
krev = 1 - kmix

;krevlen = 1 ;revlen param

        ; ain1 chnget "Rev1L"
        ; ain2 chnget "Rev1R"

        ain1 = ain1*kgain
	ain2 = ain2*kgain

        ajunk valpass ain1,1.7 * krevlen,oscil:k(0.003, 0.15) + 0.11, 0.3
	aleft valpass ajunk,1.01 * krevlen,oscil:k(0.0031, 0.11) + 0.0701, 0.1
	ajunk valpass ain2,1.05 * krevlen,oscil:k(0.0022, 0.28) + 0.205, 0.35
	aright valpass ajunk,1.33 * krevlen,oscil:k(0.0016, 0.341) + 0.05, 0.1

        kdel1 jspline 0.01, 0.555, 0.777
        kdel1 += 0.03
        kdel1b jspline 0.01, 0.555, 0.777
        kdel1b += 0.03

	addl1 delayr 0.3
	afeed1 deltap3 kdel1

        afeed1b deltap3 kdel1b

	afeed1 = (afeed1 + afeed1b) + (aleft*0.767)
		delayw aleft

        kdel2 jspline 0.01, 0.0555, 0.0877
        kdel2 += 0.02
        kdel2b jspline 0.01, 0.555, 0.777
        kdel2b += 0.03

        addl2 delayr 0.3
        afeed2 deltap3 kdel2

        afeed2b deltap3 kdel2b

	afeed2 = (afeed2 + afeed2b) + (aright*0.767)
		delayw aright

        aglobin = (afeed1+afeed2)*krev*0.5
	atap1 combinv aglobin,0.001,0.0909090909
	atap2 combinv aglobin,0.0021,0.04348
	atap3 combinv aglobin,0.0033,0.02439

        aglobrev     nestedap atap1+atap2+atap3, 3, 1, 0.063, 0.11, 0.0027, 0.09, 0.0021, 0.07

	aglobrev tone aglobrev, 900

	kdel3 randi .003,1,0.888
	kdel3 =kdel3 + .05
	addl3 delayr .2
	agr1 deltap3 kdel3
		delayw aglobrev

	kdel4 randi .003,1,0.999
	kdel4 = kdel4 + 0.05
	addl4 delayr 0.2
	agr2 deltap3 kdel4
		delayw aglobrev

	arevl = agr1+afeed1
	arevr = agr2+afeed2
	aoutl = (ain1*kmix)+(arevl*krev)
        aoutr = (ain2*kmix)+(arevr*krev)
xout aoutl, aoutr
endop

opcode bellpno,a,kiipp
kamp, ifrq, imod,ir1,ir2 xin

ifq2   = ifrq*ir1
ifq1   = ifrq*ir2          

kvib vibr linseg:k(0, 0.45, 0, 0.01, 4), 5, -1

   aenv transeg 1, p3-0.01, -ir1, 0.01
   adyn  transeg ifq2*imod, p3, -ir1, 0.1
 
   amod  oscili  adyn, ifq2, gimodfn
   a1    oscili  kamp*aenv, (ifq1+amod) + kvib, gicarfn

xout a1
endop

opcode bassUV, a, kKVVj
kamp, kfrq, kbw, ksep, inum xin

inum = ((inum == -1) ? 5:inum)

ipit = i(kfrq)

kenv = xadsr(0.015, 0.01, 1, 0.03)*kamp
asig1    pluck     kenv, kfrq, ipit*4, 0, 4, 0.5, 99
asig2 vco2 kenv, kfrq, 12

asig = asig1 + (asig2 * 0.17)

krespit expseg ipit*4, 1.7, ipit*0.25, p3, ipit*4.25

af resony asig, krespit, krespit*expcurve(kbw, 48), inum, (logcurve(ksep, 0.01))*20
aout    balance af, asig

xout aout
endop

instr 2
gk_now += (gk_tempo / 60) / kr
endin
event_i "i", 2, 0, -1 

instr 7

exitnow

endin


instr 8

Seval = strget(p4)
icompiled compilestr Seval

if (icompiled == 0) then
   printf_i "Compiled at time %f: %s\n", 1, p2, Seval
else
   printf_i "!!!Did not compile at time %f: %s\n", 1, p2, Seval
endif

endin

instr 300

ainL chnget "outputL"
ainR chnget "outputR"
ainCtr chnget "outputC"
ainL += (ainCtr * 0.87)
ainR += (ainCtr * 0.87)

acsig init 0.7

ainL compress ainL, acsig, 0, 68, 88, 4.3, 0.07, 0.11, 0.08
ainR compress ainR, acsig, 0, 68, 88, 4.3, 0.07, 0.11, 0.08

ainL, ainR LyonRev1 ainL, ainR, 0.9, 0.2

ainL clip ainL, 0, 0.99, 0.8
ainR clip ainR, 0, 0.99, 0.8

outs ainL, ainR

chnclear "outputL"
chnclear "outputR"
chnclear "outputC"

endin

event_i "i", 300, 0, -1

;;;;;;;;;;;;;;;;;;;;;
;; Let the show begin
;;;;;;;;;;;;;;;;;;;;;;

strset 169, {{
instr 12

prints strget(99)
ichrdseq = iterArr(array(18, 25, 12), strget(96))
imode = iterArr(array(1, 1, 2, 1, 3, 6), strget(97))

scalemode31 ichrdseq, imode

;schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 168, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(1.666, 2.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 21, gi_CurrentScale), 0.07,0.508 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


;schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 167, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(1.666, 2.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 21, gi_CurrentScale), 0.07,0.508 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 166, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(1.666, 2.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 14, gi_CurrentScale), 0.07,0.508 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 165, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(1.666, 2.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 0.07,0.508 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 164, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(1.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 0.07,0.508 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 163, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 0.07,0.508 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 162, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 0.1,0.508 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 161, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 0.1,0.503 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 160, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 0.1,0.5 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 159, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 0.2,0.5 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 158, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 0.2,1 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 157, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 0.6,1 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 156, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 0.8,1 ,1
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 155, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,3)
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 154, {{
temposet 50

}}
strset 153, {{
temposet 80

}}
strset 152, {{
temposet 170

}}
strset 151, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 150, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.666, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 149, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.666, 0.5, 0.666), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 148, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.666, 0.5, 0.3333), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 147, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.333, 0.5, 0.3333), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 146, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.333, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 145, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 144, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
;schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 143, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

;schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 142, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

;schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 141, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4*0, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 140, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4*0.1, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 139, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4*0.2, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 138, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4*0.5, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 137, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4*0.7, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 136, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4*0.9, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 135, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 5.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 134, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 2.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 133, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 1.5, p4, cpstuni(ipits - 7, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 132, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 1.5, p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 131, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 1.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,randint_i(1,9)
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 130, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 1.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,7
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 129, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 1.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,5
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 128, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 1.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 127, {{
instr 12

prints strget(99)
ichrdseq = iterArr(array(18, 25, 12), strget(96))
imode = iterArr(array(1, 1, 2, 1, 3, 6), strget(97))

scalemode31 ichrdseq, imode

schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 126, {{
instr 12

prints strget(99)
ichrdseq = iterArr(array(18, 17, 16), strget(96))
imode = iterArr(array(1, 1, 2, 1, 2, 6), strget(97))

scalemode31 ichrdseq, imode

schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 125, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.1, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 124, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1.5, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 123, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 1, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 122, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.6,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 121, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.4,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 120, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.1,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 119, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.9,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 118, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.5,5


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 117, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 7, 13, 14), gi_CurrentScale), cosr(65),0.5,3


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 116, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 4, 6, 14), gi_CurrentScale), 0.8,0.5,3


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 115, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 4, 6, 14), gi_CurrentScale), 0.1,0.5,3


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 114, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 4, 6, 14), gi_CurrentScale), 0.8,0.5,3


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 113, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 4, 7, 14), gi_CurrentScale), 0.8,0.5,3


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 112, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 4, 1, 14), gi_CurrentScale), 0.8,0.5,3


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 111, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 4, 3, 14), gi_CurrentScale), 0.8,0.5,3


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 110, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 4, 14), gi_CurrentScale), 0.8,0.5,3


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 109, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14, 3, 0), gi_CurrentScale), 0.8,0.5,3


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 108, {{
instr 102

ares bassUV p4, p5, p6, p7, p8;kamp, kfrq [, kbw, ksep, inum]

ares declickr ares
chnmix ares, strget(1) 

endin
}}
strset 107, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 102, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 0.8,0.5,3


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 106, {{
instr 102

ares bassUV p4, p5, p6, p7, p8;kamp, kfrq [, kbw, ksep, inum]

ares declickr ares
chnmix ares, strget(1) 

endin
}}
strset 105, {{
instr 12

prints strget(99)
ichrdseq = iterArr(array(0, 13, 23, 5), strget(96))
imode = iterArr(array(1, 1, 2, 1, 2, 6), strget(97))

scalemode31 ichrdseq, imode

schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 104, {{
instr 12

prints strget(99)
ichrdseq = iterArr(array(0, 13, 23, 5), strget(96))
imode = iterArr(array(1, 1, 2, 1, 2), strget(97))

scalemode31 ichrdseq, imode

schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 103, {{
instr 12

prints strget(99)
ichrdseq = iterArr(array(0, 13, 23, 0), strget(96))
imode = iterArr(array(1, 1, 2, 1, 2), strget(97))

scalemode31 ichrdseq, imode

schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 102, {{
schedule 12, nextbeat(1), 1, 0, 0

}}
strset 101, {{
instr 12

prints strget(99)
ichrdseq = iterArr(array(0, 0, 23, 0), strget(96))
imode = iterArr(array(1, 1, 2, 1, 2), strget(97))

scalemode31 ichrdseq, imode

schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 99, "here"
strset 100, {{
instr 12

prints strget(99)
ichrdseq = iterArr(array(0, 0, 23, 0), strget(96))
imode = iterArr(array(1, 1, 2, 1, 2), strget(97))

scalemode31 ichrdseq, imode

schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 96, "ichrd"
strset 97, "imodes"
strset 98, {{
instr 12

ichrdseq = iterArr(array(0, 0, 23, 0), strget(96))
imode = iterArr(array(1, 1, 2, 1, 2), strget(97))

scalemode31 ichrdseq, imode

schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 95, {{
temposet 190

}}
strset 94, {{
schedule 11, nextbeat(1), 1, 0.6, 0

}}
strset 93, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 92, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 0.5, cosr(56, 2, 0)

aL, aR pan2 ares, ipan + 0.5

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 91, {{
schedule 12, nextbeat(1), 1, 0, 0

}}
strset 90, {{
instr 12

ichrdseq = iterArr(array(0, 0, 23, 0))
imode = iterArr(array(1, 1, 2, 1, 2))

scalemode31 ichrdseq, imode

schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 89, {{
schedule 12, nextbeat(1), 1, 0, 0

}}
strset 88, {{
instr 12

ichrdseq iterArr(array(0, 0, 23, 0))
imode iterArr(array(1, 1, 2, 1, 2))

scalemode31 ichrdseq, imode

schedule p1, nextbeat(12), 1, p4, p5
turnoff
endin
}}
strset 87, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(irh), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 86, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, tempodur(0.125), tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 85, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits - 2, gi_CurrentScale), 3,1 ,3

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 84, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,1, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 83, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 82, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.0.3333, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 81, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.333, 0.25, 0.5, 0.125, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 80, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.125, 0.25, 0.5, 0.125, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 79, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.125, 0.125, 0.5, 0.125, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 78, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.125, 0.125, 0.5, 0.125, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,5
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 77, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.125, 0.125, 0.5, 0.125, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,9
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 76, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.125, 0.125, 0.5, 0.125, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,3
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 75, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.125, 0.125, 0.5, 0.125, 0.25), strget(10), 0.1)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 74, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 0.5, 0.125, 0.125, 0.5, 0.125, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 73, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 1, 0.125, 0.125, 0.5, 0.125, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 72, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 1, 0.125, 0.125, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 71, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 1, 0.25, 0.125, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 70, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 68, "pitchanb"
strset 69, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
ipitb = iterArr(array(5,6,7,8,4,5,2), strget(68), 0.1)

irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipitb, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 67, {{
instr 11


ipits = iterArr(array(9,8,9,10,9,8,7,6), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 66, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,0.5, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 65, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,0.1, 1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 64, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,0.1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 63, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 62, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,3

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 61, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,2 ,3

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 60, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,2 ,1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 59, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh) * 2, p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 58, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 57, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 3, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 56, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 0.5, cosr(56, 2, 0)

aL, aR pan2 ares, ipan + 0.5

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 55, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.05

aL, aR pan2 ares, rescale(ipan, -1, 1, 0, 0.5)

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 54, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.01

aL, aR pan2 ares, rescale(ipan, -1, 1, 0, 0.5)

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 53, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, -0.01

aL, aR pan2 ares, rescale(ipan, -1, 1, 0, 0.5)

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 52, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, -0.99

aL, aR pan2 ares, rescale(ipan, -1, 1, 0, 0.5)

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 51, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.99

aL, aR pan2 ares, rescale(ipan, -1, 1, 0, 0.5)

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 50, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.9

aL, aR pan2 ares, rescale(ipan, -1, 1, 0, 0.5)

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 49, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.01

aL, aR pan2 ares, rescale(ipan, -1, 1, 0, 0.5)

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 48, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.01

aL, aR pan2 ares, 0.99

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 47, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.01

aL, aR pan2 ares, 0.5

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 46, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.01

aL, aR pan2 ares, 0.2

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 45, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.01

aL, aR pan2 ares, 0.1

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 44, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.01

aL, aR pan2 ares, 0.5

chnmix aL, strget(39) 
chnmix aR, strget(40) 

endin
}}
strset 43, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.01

aL, aR pan2 ares, 0.2

chnmix ares, strget(39) 
chnmix ares, strget(40) 

endin
}}
strset 42, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.01

aL, aR pan2 ares, 0.1

chnmix ares, strget(39) 
chnmix ares, strget(40) 

endin
}}
strset 39, "outputL"
strset 40, "outputR"
strset 41, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]
ares declickr ares

ipan rnd31 1, 0.01

aL, aR pan2 ares, 0.5

chnmix ares, strget(39) 
chnmix ares, strget(40) 

endin
}}
strset 38, {{
turnoff

}}
strset 37, {{
schedule 11, nextbeat(1), 1, 0.6, 0

}}
strset 36, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]

ipan rnd31 1, 0.01

aL, aR pan2

ares declickr ares
chnmix ares, strget(1) 

endin
}}
strset 35, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]

ipan rnd31 1, 0.01

aL, a

ares declickr ares
chnmix ares, strget(1) 

endin
}}
strset 34, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,2,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 33, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 4,1,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 32, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10), 0.5)

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 31, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.1)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10))

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 30, {{
temposet 190
}}
strset 29, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10))

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 28, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10))

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 27, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10))

schedule 101, 0, tempodur(irh) * 0.5, p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 26, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 3,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 25, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 4,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 24, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 2,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 23, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5, 0.25, 0.25), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 22, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.25, 0.25, 0.5), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 21, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.25, 0.5, 0.5), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 20, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.5, 0.5, 0.5), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 3,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 19, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.5, 0.5, 0.5), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randselect_i(7, 14), gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 18, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.5, 0.5, 0.5), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - randint_i(7, 14), gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 17, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 0.2)
irh = iterArr(array(0.5, 1, 0.5, 0.5, 0.5), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - 7, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 16, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6), 8 + (1 / 8))
irh = iterArr(array(0.5, 1, 0.5, 0.5, 0.5), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - 7, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 15, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6))
irh = iterArr(array(0.5, 1, 0.5, 0.5, 0.5), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1

schedule 101, 0, tempodur(irh), p4, cpstuni(giTonic_ndx - 7, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 14, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6))
irh = iterArr(array(0.5, 1, 0.5, 0.5, 0.5), strget(10))

schedule 101, 0, tempodur(irh), p4, cpstuni(ipits + 2, gi_CurrentScale), 1,1 ,1
schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 13, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6))
irh = iterArr(array(0.5, 1, 0.5, 0.5, 0.5), strget(10))


schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 12, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6))
irh = iterArr(array(0.5, 1, 0.5, 0.5), strget(10))


schedule 101, 0, tempodur(irh), p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 10, "rhchan"
strset 11, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6))
irh = iterArr(array(0.5, 1, 0.5, 0.5), strget(10))


schedule 101, 0, 1, p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 9, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6))
irh = iterArr(array(0.5, 1, 0.5, 0.5))


schedule 101, 0, 1, p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(irh), 1, p4, p5
turnoff
endin
}}
strset 8, {{
temposet 170
}}
strset 6, "pitchan"
strset 7, {{
instr 11


ipits = iterArr(array(5,4,2,3,5,4,3,2), strget(6))

schedule 101, 0, 1, p4, cpstuni(ipits, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(1), 1, p4, p5
turnoff
endin
}}
strset 5, {{
schedule 11, nextbeat(1), 1, 0.6, 0
}}
strset 4, {{
instr 11

schedule 101, 0, 1, p4, cpstuni(p5, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(1), 1, p4, p5
turnoff
endin
}}
strset 3, {{
instr 11

schedule 101, 0, 1, 0.7, cpstuni(0, gi_CurrentScale), 1,1 ,1


schedule p1, nextbeat(1), 1
turnoff
endin
}}
strset 1, "outputC"
strset 2, {{
instr 101

ares bellpno p4, p5, p6, p7, p8;kamp, ifrq, imod [, ir1, ir2]

ares declickr ares
chnmix ares, strget(1) 

endin
}}
schedule 8, 1.1823e-05, 1, 2
schedule 8, 0.346067186, 1, 3
schedule 8, 0.991654839, 1, 4
schedule 8, 1.361724318, 1, 5
schedule 8, 12.080916552, 1, 7
schedule 8, 21.303429364, 1, 8
schedule 8, 32.895577588, 1, 9
schedule 8, 35.240384202, 1, 11
schedule 8, 49.061605607, 1, 12
schedule 8, 51.283971491, 1, 13
schedule 8, 57.407614927, 1, 14
schedule 8, 63.997754768, 1, 15
schedule 8, 82.562803979, 1, 16
schedule 8, 87.640965957, 1, 17
schedule 8, 97.950392151, 1, 18
schedule 8, 103.177450117, 1, 19
schedule 8, 105.178013346, 1, 20
schedule 8, 109.820592094, 1, 21
schedule 8, 110.929693552, 1, 22
schedule 8, 112.351360895, 1, 23
schedule 8, 114.943215686, 1, 24
schedule 8, 115.813053185, 1, 25
schedule 8, 116.200836362, 1, 26
schedule 8, 118.354654695, 1, 27
schedule 8, 119.286491101, 1, 28
schedule 8, 121.520351725, 1, 29
schedule 8, 121.922601933, 1, 30
schedule 8, 123.587703964, 1, 31
schedule 8, 125.077417192, 1, 32
schedule 8, 128.721509326, 1, 33
schedule 8, 129.955132034, 1, 34
schedule 8, 142.53013729, 1, 35
schedule 8, 143.026303123, 1, 36
schedule 8, 153.717525359, 1, 41
schedule 8, 154.268773431, 1, 42
schedule 8, 156.572369941, 1, 43
schedule 8, 159.742473325, 1, 44
schedule 8, 160.316532439, 1, 45
schedule 8, 160.923785825, 1, 46
schedule 8, 161.371675981, 1, 47
schedule 8, 161.868861814, 1, 48
schedule 8, 166.040626916, 1, 49
schedule 8, 168.452906134, 1, 50
schedule 8, 169.139980144, 1, 51
schedule 8, 170.368976446, 1, 52
schedule 8, 171.638516758, 1, 53
schedule 8, 173.109028684, 1, 54
schedule 8, 174.046731601, 1, 55
schedule 8, 192.785242583, 1, 56
schedule 8, 199.727912633, 1, 57
schedule 8, 200.784837163, 1, 58
schedule 8, 202.804504038, 1, 59
schedule 8, 207.607255598, 1, 60
schedule 8, 208.418625181, 1, 61
schedule 8, 209.027882004, 1, 62
schedule 8, 209.889359243, 1, 63
schedule 8, 210.788600597, 1, 64
schedule 8, 211.268445076, 1, 65
schedule 8, 212.407812263, 1, 66
schedule 8, 218.196672678, 1, 67
schedule 8, 231.388141787, 1, 69
schedule 8, 233.369733141, 1, 70
schedule 8, 238.493213087, 1, 71
schedule 8, 239.66501793, 1, 72
schedule 8, 240.712511836, 1, 73
schedule 8, 241.564689388, 1, 74
schedule 8, 244.040142407, 1, 75
schedule 8, 248.222194697, 1, 76
schedule 8, 249.613405322, 1, 77
schedule 8, 250.147711832, 1, 78
schedule 8, 250.554327144, 1, 79
schedule 8, 270.099963595, 1, 80
schedule 8, 272.215155365, 1, 81
schedule 8, 274.535923594, 1, 82
schedule 8, 281.079129737, 1, 83
schedule 8, 283.78391708, 1, 84
schedule 8, 287.24026786, 1, 85
schedule 8, 289.994918432, 1, 86
schedule 8, 292.901316191, 1, 87
schedule 8, 308.993205195, 1, 88
schedule 8, 310.278310403, 1, 89
schedule 8, 315.623443057, 1, 90
schedule 8, 316.174938317, 1, 91
schedule 8, 319.861624826, 1, 92
schedule 8, 320.31445618, 1, 93
schedule 8, 321.800580971, 1, 95
schedule 8, 323.907863471, 1, 98
schedule 8, 326.385142584, 1, 100
schedule 8, 332.073738155, 1, 101
schedule 8, 333.376220863, 1, 102
schedule 8, 340.797338673, 1, 103
schedule 8, 348.62123617, 1, 104
schedule 8, 352.114455543, 1, 105
schedule 8, 370.215330432, 1, 106
schedule 8, 378.22058194, 1, 107
schedule 8, 382.585086209, 1, 108
schedule 8, 386.589520218, 1, 109
schedule 8, 389.38754256, 1, 110
schedule 8, 391.305440685, 1, 111
schedule 8, 394.223093236, 1, 112
schedule 8, 396.978385891, 1, 113
schedule 8, 397.548107766, 1, 114
schedule 8, 399.657651567, 1, 115
schedule 8, 400.200870994, 1, 116
schedule 8, 406.768326252, 1, 117
schedule 8, 408.064287398, 1, 118
schedule 8, 409.035307606, 1, 119
schedule 8, 409.546626147, 1, 120
schedule 8, 410.255050574, 1, 121
schedule 8, 410.739382709, 1, 122
schedule 8, 414.37262802, 1, 123
schedule 8, 415.852158905, 1, 124
schedule 8, 416.862943019, 1, 125
schedule 8, 424.41228536, 1, 126
schedule 8, 432.398613274, 1, 127
schedule 8, 438.067922334, 1, 128
schedule 8, 439.701823532, 1, 129
schedule 8, 440.183273115, 1, 130
schedule 8, 442.094516031, 1, 131
schedule 8, 443.424857384, 1, 132
schedule 8, 445.290397175, 1, 133
schedule 8, 446.87172405, 1, 134
schedule 8, 450.10146134, 1, 135
schedule 8, 454.604048786, 1, 136
schedule 8, 455.067854776, 1, 137
schedule 8, 455.47872514, 1, 138
schedule 8, 455.964975817, 1, 139
schedule 8, 456.42682665, 1, 140
schedule 8, 456.809559515, 1, 141
schedule 8, 457.31735566, 1, 142
schedule 8, 458.217911597, 1, 143
schedule 8, 459.435127326, 1, 144
schedule 8, 461.489127429, 1, 145
schedule 8, 462.380974669, 1, 146
schedule 8, 463.231622793, 1, 147
schedule 8, 464.598713418, 1, 148
schedule 8, 465.56901998, 1, 149
schedule 8, 466.596209875, 1, 150
schedule 8, 467.382107636, 1, 151
schedule 8, 469.033278989, 1, 152
schedule 8, 469.545878051, 1, 153
schedule 8, 470.956951853, 1, 154
schedule 8, 472.252020655, 1, 155
schedule 8, 474.525887997, 1, 156
schedule 8, 474.978550029, 1, 157
schedule 8, 475.841023466, 1, 158
schedule 8, 477.020347632, 1, 159
schedule 8, 477.580602423, 1, 160
schedule 8, 478.520054819, 1, 161
schedule 8, 479.597211641, 1, 162
schedule 8, 480.824019922, 1, 163
schedule 8, 482.237463776, 1, 164
schedule 8, 483.62635565, 1, 165
schedule 8, 485.147502941, 1, 166
schedule 8, 486.183539139, 1, 167
schedule 8, 487.713052524, 1, 168
schedule 8, 490.120412939, 1, 169

schedule 7, 502.235256997, 1
</CsInstruments>
<CsScore>
f0 502.235256997
e
</CsScore>
</CsoundSynthesizer>
